#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_definitions( ${KDE_PLUGIN} )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib/widgets
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES
    chm.protocol kchmpart.desktop
  DESTINATION ${SERVICES_INSTALL_DIR} )


##### tdeio_chm (module) ##########################

tde_add_kpart( tdeio_chm
  SOURCES decompress.cpp chmfile.cpp chm.cpp
  LINK tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### libkchmpart (module) ######################

tde_add_kpart( libkchmpart AUTOMOC
  SOURCES kchmpart.cpp
  LINK kdevwidgets-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
